[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.EndPaint

Ends a paint operation in a window, started with BeginPaint.

## Declaration

Source position: winapih.inc line 89

`public function TWidgetSet.EndPaint(`
`Handle: HWND;`
`var PS: TPaintStruct`
`):Integer; virtual;`

## Arguments

`Handle` |  | The window to paint.
`PS` |  | Painting information.

## Function result

Almost nonzero.

## See also

TWidgetSet.BeginPaint |  | Start painting in a window.